%define name gperiodic
%define version 1.2.6
%define release 6mdk

Summary: Displays a periodic table of the elements.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Physics
Source: %{name}-%{version}.tar.bz2
URL: http://gperiodic.seul.org/
Buildroot: %{_tmppath}/%{name}-buildroot

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gperiodic

%build

%configure

%make

%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 src/gperiodic $RPM_BUILD_ROOT%{_bindir}/
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 man/gperiodic.1 $RPM_BUILD_ROOT%{_mandir}/man1/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gperiodic"\
title="Gperiodic"\
longtitle="Periodic table"\
needs="x11"\
section="Applications/Sciences/Physics"
EOF
)  

%post
%{update_menus}
 
%postun
%{clean_menus}        

%files
%defattr (-,root,root)
%doc README Changes
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/menu/*

%changelog
* Thu Jul 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-6mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-5mdk
- rebuild
- new url

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-4mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-3mdk
- fix group

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- ooopps...correct the wrong line in changelog 8-(

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- initial specfile

